function C = getShiftMatrix(method, dx, dy)
    
	% Get image dimensions
    [M,N] = size(dx);
    nopixels = M*N;
    if strcmp(method, 'no_rep')    
        ind = (1:nopixels)' + dx(:)*M + dy(:);
        ind(ind < 1) = NaN;
        ind(ind > nopixels) = NaN;
        ind_corr = find(~isnan(ind))';
        ind = ind(~isnan(ind));
        C = sparse(ind_corr, ind, ones(size(ind)), nopixels, nopixels);
    elseif strcmp(method, 'rep')
        dindices = (1:nopixels)' + dx(:)*M + dy(:);
        dindices(find(dindices > nopixels)) = nopixels; 
        dindices(find(dindices < 1)) = 1;
        C = sparse(1:nopixels, dindices',ones(size(dindices)), nopixels, nopixels);
    else
        disp('Unknown method to assemble shift matrix.');
    end

